Skip to main content
POST
/
v1
/
jobs
/
ai-content
Create AI Content
curl --request POST \
  --url https://api.tryhamsa.com/v1/jobs/ai-content \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "aiParts": [
    "introduction"
  ]
}
'
{
  "success": false,
  "message": "success",
  "data": {
    "id": "<string>",
    "title": "<string>",
    "model": "<string>",
    "type": "AI_CONTENT",
    "processingType": "<string>",
    "webhookUrl": "<string>",
    "totalCost": 123,
    "usageTime": "<string>",
    "mediaUrl": "<string>",
    "jobResponse": null,
    "status": "PENDING",
    "relevantJobId": "<string>",
    "apiKeyId": "<string>",
    "billingId": "<string>",
    "userId": "<string>",
    "systemModelKey": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Query Parameters

jobId
string
required

Body

application/json
aiParts
enum<string>[]
Available options:
introduction,
titles,
summary,
webArticleSEOFriendly,
keyTopicsWithBullets,
keyTopicsWithBullets,
keywords,
threadsByInstagram,
faq,
facebookPost,
youtubeDescription,
twitterThread,
linkedInPost

Response

Successful response

success
boolean
default:false
message
string
default:success
data
object